#pragma once

using namespace std ;

#include <complex>
#include <iostream>

#include "transition.h"

// a specific isotope of a molecule
class molecule {
public:
	transition *trans ;	// vector of transition lines
	int transcnt ;		// size of 'trans' (number of entries)
	int molec ;	// HITRAN molecule number
	int isot ;	// HITRAN isotope number
	double molmass;	// HITRAN molar mass of the most abundant isotope
	float murange[2];	// minimum and maximum line (micron)

	molecule(int molno=0) ;

	molecule(const char *fname, const string dir, int molno=0, int iso=1) ;

	void gnuplot(const double lowlim, const double hilim , ostream & out = cout) ;

	complex<double> Lorentz(const double lambda) const ;



#ifdef USE_QOFT
	void Qsum(double T) ;
#endif

	~molecule() ;

private:
	static const double mmas[] ;
} ;
