#ifndef PR_CONST_H
#define PR_CONST_H

	/* molar gas constant, J /mol/K */
#define AVOGADRO 6.02214199e23

	/* Avogadro/ Loschmidt Number 1/mol */
#define RMOLAR 8.314472

	/* light velocity in vacuum m/s */
#define VACUUMC 2.99792458e+8

	/* Hartree in eV */
#define HARTREE 27.2113961

	/* elementary charge, Coulomb */
#define ECHARGE 1.602176462e-19

	/* electric constant in Farad/m */
#define EPSILONZERO 8.854187817e-12

	/* Planck constant divided by 2pi in J*s */
#define HBAR 1.05457168e-34

	/* electron rest mass in kg */
#define EMASS 9.10938188e-31

	/* h*c in eV*cm */
#define HC 1.23984244e-4

        /* Planck constant h in J*s */
#define PLANCK 6.6260693e-34

        /* Boltzmann  k J/K */
#define BOLTZMANNK 1.3806505e-23

	/* molecular weight of 2*H+O; most common isotope 18.0105; the standard isotope mix
	* is 18.01508; this here the Wagner-Pruss of J Phys Chem Ref Data 31, 387
	*/
#define WATERMOLWEIGHT 18.015268

	/* seconds per day, 24*3600 */
#define SECPERDAY 86400.

#endif /* PR_CONST_H */
